## owfs 3.1p1

=== debian/changelog ===
owfs (3.1p1-2ubuntu1) xenial; urgency=medium

  * Disable libow-php{,5} while swig does not support PHP 7.0
    (LP: #1546823).
  * Update to PHP7.0 dependencies (LP: #1562215).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Mon, 28 Mar 2016 09:50:57 -0700

owfs (3.1p1-2) unstable; urgency=medium

  * fix kFreeBSD patch (upstream applied patch was not working with kFreeBSD)
  * enable avahi support in the package

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 18 Jan 2016 22:42:14 +0100

owfs (3.1p1-1) unstable; urgency=medium

  * New upstream version
    + fix bugs for w1 kernel interface
  * Refresh debian/patches/*
  * Dump soname (as done by upstream for each new release)

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 17 Jan 2016 20:03:41 +0100

owfs (3.1p0-2) unstable; urgency=medium

  * apply/fix 'cme fix dpkg' notices
  * Switching to libusb 1.0 (Closes: #810450)
  * enable ddeb instead of the manual owfs-dbg debug package

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 12 Jan 2016 09:21:20 +0100

owfs (3.1p0-1) unstable; urgency=medium

  * New upstream release
    + refresh patches (and remove upstream applied ones)

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 20 Jul 2015 15:21:14 +0200
