## owfs 3.1p5

=== debian/changelog ===
owfs (3.1p5-2) unstable; urgency=medium

  * Fix "owfs FTBFS with debhelper 10.9" (Closes: #876692)
    The libow-php5 was removed (see 3.1p1-4 below) but still in
    the dh_makeshlibs invocation (to be excluded...)

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 02 Oct 2017 22:12:41 +0200

owfs (3.1p5-1) unstable; urgency=medium

  * New upstream release
  * fix watch file to avoid to look at non-release files

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 08 Jan 2017 23:32:07 +0100

owfs (3.1p4-1) unstable; urgency=medium

  * New upstream release
    + remove patches that upstream applied
    + rename libraies (new soname as for each upstream release)
  * Fix new typos found by lintian
  * Add missing "Breaks: libow-2.8-15" (wheezy package) for owfs-common
    as owfs-common take over its conffile (Closes: #838144)
  * Remove libfuse-dev B-D on hurd-i386 (unavailable). Lets see if the
    package still compile on this arch (Closes: #815466)

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 30 Sep 2016 12:39:49 +0200

owfs (3.1p1-6) unstable; urgency=medium

  * Fix lintian-found (minor) bugs

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 16 May 2016 20:51:44 +0200

owfs (3.1p1-5) unstable; urgency=medium

  * really fix php dependencies (Thanks Logan Rosen)

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 16 May 2016 08:53:29 +0200

owfs (3.1p1-4) unstable; urgency=medium

  * Remove php bindings. Swig do not support php7 (yet) and Debian not
    no support php5 (any more) (Closes: #821523, #821691)

 -- Vincent Danjean <vdanjean@debian.org>  Sat, 07 May 2016 10:20:12 +0200

owfs (3.1p1-3) unstable; urgency=medium

  * Applying provided patch to fix crash when fuse options are provided
    (Closes: #815046) (thanks Matthew Gabeler-Lee)

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 08 Apr 2016 23:59:03 +0200
