=== debian/control ===
--- 
+++ 
@@ -1,28 +1,26 @@
 Source: owfs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Vincent Danjean <vdanjean@debian.org>
+Maintainer: Vincent Danjean <vdanjean@debian.org>
 Section: electronics
-XS-Autobuild: no
 Priority: extra
 Build-Depends: debhelper (>= 9),
                quilt,
                autotools-dev,
-               libfuse-dev,
+               libfuse-dev [!hurd-i386],
                swig,
                python-all-dev,
                tcl-dev,
                libusb-1.0-0-dev,
+               ed,
                php-cli,
                php-dev,
-               ed,
                systemd [linux-any],
                groff-base,
                dh-python,
                pkg-config,
                libavahi-client-dev
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/owfs.git;a=summary
-Vcs-Git: git://anonscm.debian.org/collab-maint/owfs.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/owfs.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/owfs.git
 Homepage: http://owfs.org/
 
 Package: owfs-common
@@ -30,6 +28,7 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          ucf
+Breaks: libow-2.8-15
 Description: common files used by any of the OWFS programs
  The 1-Wire bus is a cheap low-speed bus for devices like weather
  sensors, access control, etc. It can be attached to your system via
@@ -55,7 +54,7 @@
  Installing this package gets you a FUSE daemon, server arbitrates access
  to the bus from multiple client processes, small ftp and webserver.
 
-Package: libow-3.1-1
+Package: libow-3.1-5
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -71,7 +70,7 @@
  This package includes the ow library that is able to talk directly to 1-wire
  buses.
 
-Package: libowcapi-3.1-1
+Package: libowcapi-3.1-5
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -91,8 +90,8 @@
 Section: libdevel
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libow-3.1-1 (= ${binary:Version}),
-         libowcapi-3.1-1 (= ${binary:Version})
+         libow-3.1-5 (= ${binary:Version}),
+         libowcapi-3.1-5 (= ${binary:Version})
 Description: 1-Wire File System (development files)
  The 1-Wire bus is a cheap low-speed bus for devices like weather
  sensors, access control, etc. It can be attached to your system via
@@ -100,7 +99,7 @@
  .
  This package includes development libraries and C header files.
 
-Package: libownet-3.1-1
+Package: libownet-3.1-5
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -120,7 +119,7 @@
 Section: libdevel
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libownet-3.1-1 (= ${binary:Version})
+         libownet-3.1-5 (= ${binary:Version})
 Description: owserver protocol library (development files)
  The 1-Wire bus is a cheap low-speed bus for devices like weather
  sensors, access control, etc. It can be attached to your system via
@@ -170,8 +169,8 @@
 Depends: ${misc:Depends},
          tk
 Suggests: owserver
-Breaks: ow-shell (<<2.9p5)
-Replaces: ow-shell (<<2.9p5)
+Breaks: ow-shell (<< 2.9p5)
+Replaces: ow-shell (<< 2.9p5)
 Description: tools to monitor or inspect a ow-server link
  The 1-Wire bus is a cheap low-speed bus for devices like weather
  sensors, access control, etc. It can be attached to your system via
@@ -226,6 +225,19 @@
  .
  FTP daemon providing access to 1-Wire networks.
 
+Package: libownet-php
+Architecture: all
+Section: web
+Depends: php | php-cli,
+         ${misc:Depends}
+Description: Dallas 1-wire support: PHP OWNet library
+ The 1-Wire bus is a cheap low-speed bus for devices like weather
+ sensors, access control, etc. It can be attached to your system via
+ serial, USB, I2C, and other interfaces.
+ .
+ The PHP OWNet library lets you access owserver and allows reading,
+ writing and listing the 1-wire bus.
+
 Package: libow-perl
 Architecture: any
 Section: perl
