=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,15 @@
 #export DH_VERBOSE=2
 
 DH_OPTIONS=--with python2 --with quilt --with autotools_dev
+
+# ensure the use of all hardening flags
+DEB_BUILD_MAINT_OPTIONS=hardening=+all
+export DEB_BUILD_MAINT_OPTIONS
+
+# Avoid lots of warnings while compiling:
+# # warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE"
+DEB_CPPFLAGS_MAINT_APPEND=-D_DEFAULT_SOURCE
+export DEB_CPPFLAGS_MAINT_APPEND
 
 # export necessary for (hardening) flags for perl
 DEB_CPPFLAGS += `dpkg-buildflags --get CPPFLAGS`
@@ -37,7 +46,7 @@
 	--enable-owcapi       \
 	--enable-swig         \
 	--enable-owperl       \
-	--disable-owphp       \
+	--enable-owphp        \
 	--enable-owpython     \
 	--enable-owtcl        \
 	--enable-owfs         \
@@ -85,7 +94,7 @@
 	dh_strip --ddeb-migration='owfs-dbg (<< 3.1p0-2~)'
 
 override_dh_makeshlibs:
-	dh_makeshlibs --no-package libow-php5 --no-package libow-tcl
+	dh_makeshlibs --no-package libow-tcl
 	echo "php:Depends=phpapi-$$(php-config5 --phpapi)" >> debian/libow-php5.substvars
 
 clean:
