## owfs 3.2p2

=== debian/changelog ===
owfs (3.2p2-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * remove libow-php7 (stretch swig to not support php7)

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 30 Sep 2018 21:13:46 +0200

owfs (3.2p2-2) unstable; urgency=medium

  * Remove transitional owfs-dbg package
  * Make systemd service files uses /etc/owfs.conf (as was doing
    previous init scripts)
  * use Debian-ow user to run owftpd and owhttpd

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 23 Sep 2018 22:10:39 +0200

owfs (3.2p2-1) unstable; urgency=medium

  * New upstream release (Closes: #908025)
  * Use upstream systemd init files (Closes: #834018)
  * compile with fdti support (Closes: #904850)
  * add owusbprobe into ow-shell
  * re-enable php binding (Closes: 823661)

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 23 Sep 2018 14:37:33 +0200
