=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: owfs
 Maintainer: Vincent Danjean <vdanjean@debian.org>
 Section: electronics
-Priority: extra
-Build-Depends: debhelper (>= 9),
+Priority: optional
+Build-Depends: debhelper (>= 11),
                quilt,
-               autotools-dev,
                libfuse-dev [!hurd-i386],
                swig,
                python-all-dev,
@@ -17,18 +16,20 @@
                groff-base,
                dh-python,
                pkg-config,
-               libavahi-client-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/owfs.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/owfs.git
+               libavahi-client-dev,
+               libftdi1-dev
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/debian/owfs
+Vcs-Git: https://salsa.debian.org/debian/owfs.git
 Homepage: http://owfs.org/
 
 Package: owfs-common
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
+         adduser,
          ucf
-Breaks: libow-2.8-15
+Breaks: libow-2.8-15 (<<2.9)
 Description: common files used by any of the OWFS programs
  The 1-Wire bus is a cheap low-speed bus for devices like weather
  sensors, access control, etc. It can be attached to your system via
@@ -54,7 +55,7 @@
  Installing this package gets you a FUSE daemon, server arbitrates access
  to the bus from multiple client processes, small ftp and webserver.
 
-Package: libow-3.1-5
+Package: libow-3.2-2
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -70,7 +71,7 @@
  This package includes the ow library that is able to talk directly to 1-wire
  buses.
 
-Package: libowcapi-3.1-5
+Package: libowcapi-3.2-2
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -90,8 +91,8 @@
 Section: libdevel
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libow-3.1-5 (= ${binary:Version}),
-         libowcapi-3.1-5 (= ${binary:Version})
+         libow-3.2-2 (= ${binary:Version}),
+         libowcapi-3.2-2 (= ${binary:Version})
 Description: 1-Wire File System (development files)
  The 1-Wire bus is a cheap low-speed bus for devices like weather
  sensors, access control, etc. It can be attached to your system via
@@ -99,7 +100,7 @@
  .
  This package includes development libraries and C header files.
 
-Package: libownet-3.1-5
+Package: libownet-3.2-2
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -119,7 +120,7 @@
 Section: libdevel
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libownet-3.1-5 (= ${binary:Version})
+         libownet-3.2-2 (= ${binary:Version})
 Description: owserver protocol library (development files)
  The 1-Wire bus is a cheap low-speed bus for devices like weather
  sensors, access control, etc. It can be attached to your system via
@@ -132,7 +133,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         owfs-common,
+         owfs-common (>= 3.2p2-2~),
          lsb-base
 Suggests: avahi-daemon
 Description: Backend server for 1-Wire control
@@ -184,7 +185,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         owfs-common
+         owfs-common (>= 3.2p2-2~)
 Recommends: owserver,
             fuse
 Suggests: owhttpd,
@@ -201,7 +202,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         owfs-common,
+         owfs-common (>= 3.2p2-2~),
          lsb-base
 Recommends: owserver
 Description: HTTP daemon providing access to 1-Wire networks
@@ -215,7 +216,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         owfs-common,
+         owfs-common (>= 3.2p2-2~),
          lsb-base
 Recommends: owserver
 Description: FTP daemon providing access to 1-Wire networks
@@ -297,7 +298,7 @@
 
 Package: libow-tcl
 Architecture: any
-Section: devel
+Section: interpreters
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: Dallas 1-wire support: Tcl bindings
@@ -321,16 +322,3 @@
  Documentation for OWFS in 'man' format.
  This package contains the manpages for 1-Wire, including the
  device-specific manpages.
-
-Package: owfs-dbg
-Architecture: any
-Section: oldlibs
-Depends: ${misc:Depends}
-Description: Debugging symbols for the OWFS packages (transitional package)
- The 1-Wire bus is a cheap low-speed bus for devices like weather
- sensors, access control, etc. It can be attached to your system via
- serial, USB, I2C, and other interfaces.
- .
- This package was containing gdb debugging symbols for OWFS packages.
- Now, automatic -dbgsym packages are generated. Install them if you
- need to debug crashes in programs using 1-wire.
