=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=2
 
-DH_OPTIONS=--with python2 --with quilt --with autotools_dev
+DH_OPTIONS=--with python2 --with quilt
 
 # ensure the use of all hardening flags
 DEB_BUILD_MAINT_OPTIONS=hardening=+all
@@ -24,7 +24,7 @@
 DEB_CPPFLAGS += `dpkg-buildflags --get CPPFLAGS`
 DEB_CFLAGS += `dpkg-buildflags --get CFLAGS`
 DEB_LDFLAGS = `dpkg-buildflags --get LDFLAGS`
-export DEB_CPPFLAGS DEB_CFLAGS DEB_LDFLAGS 
+export DEB_CPPFLAGS DEB_CFLAGS DEB_LDFLAGS
 
 CONFIGURE_OPTIONS=\
 	--enable-debian       \
@@ -53,9 +53,10 @@
 	--enable-zero         \
 	--enable-usb          \
 	--enable-parport      \
-	--enable-avahi
+	--enable-avahi        \
+	--enable-ftdi
 
-DEB_HOST_ARCH_OS=$(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+include /usr/share/dpkg/architecture.mk
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 CONFIGURE_OPTIONS += --enable-w1
 else
@@ -65,7 +66,7 @@
 %:
 	dh $@ $(DH_OPTIONS)
 
-.PHONY: override_dh_auto_configure override_dh_auto_test override_dh_install
+.PHONY: override_dh_auto_configure override_dh_auto_test override_dh_missing
 override_dh_auto_configure:
 	autoreconf -vif
 	dh_auto_configure -- $(CONFIGURE_OPTIONS)
@@ -86,16 +87,13 @@
 	done
 	find debian/tmp/usr/share/man -iname "*.[135n]so" -exec $(RM) {} \;
 
-override_dh_install:
-	dh_install --list-missing -X.la -Xperllocal.pod
+override_dh_missing:
+	dh_missing --fail-missing -X.la -Xperllocal.pod
 
-.PHONY: override_dh_strip override_dh_makeshlibs
-override_dh_strip:
-	dh_strip --ddeb-migration='owfs-dbg (<< 3.1p0-2~)'
-
+.PHONY: override_dh_makeshlibs
 override_dh_makeshlibs:
 	dh_makeshlibs --no-package libow-tcl
-	echo "php:Depends=phpapi-$$(php-config5 --phpapi)" >> debian/libow-php5.substvars
+	echo "php:Depends=phpapi-$$(php-config --phpapi)" >> debian/libow-php7.substvars
 
 clean:
 	dh clean $(DH_OPTIONS)
@@ -120,4 +118,3 @@
 
 override_dh_shlibdeps:
 	dh_shlibdeps -a -- --warnings=7
-
