=== debian/watch ===
version=3

opts=dversionmangle=s/\+dfsg[1-9]// \
http://sf.net/owfs/owfs-([0-9].*)\.tar\.gz
