## owfs 3.2p3%2Bdfsg1

=== debian/changelog ===
owfs (3.2p3+dfsg1-5build1) focal; urgency=medium

  * No-change rebuild for PHP 7.4

 -- Bryce Harrington <bryce@canonical.com>  Tue, 25 Feb 2020 23:55:05 +0000

owfs (3.2p3+dfsg1-5) unstable; urgency=medium

  * Remove python support (Closes: #937225, #943612)
    python3 will be re-added when upstream correctly support it
    python2 is not supported anymore in Debian

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 11 Dec 2019 17:03:39 +0100

owfs (3.2p3+dfsg1-4) unstable; urgency=medium

  * Reupload as source-only

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 23 Aug 2019 21:41:00 +0200

owfs (3.2p3+dfsg1-3) unstable; urgency=medium

  * add -fPIC when compiling python modules (Closes: #932299)
  * Use debhelper-compat for dh supported version
  * bump Standards-Version
  * Fix systemd glitches found by lintian
  * Force correct LDFLAGS on python packages
  * Fix typo in manpages (for upstream)

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 25 Jul 2019 11:21:27 +0200

owfs (3.2p3+dfsg1-2) unstable; urgency=medium

  * Fix python raise syntax to support python3 (Closes: #916559)

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 18 Dec 2018 20:48:32 +0100

owfs (3.2p3+dfsg1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Vincent Danjean ]
  * Add Debian CI
  * d/watch: switch to github
  * Add support for python3

  [ upstream ]
  * v3.2p3 is mainly a bugfix & cleanup release.
  * New Functions
    + Added owcapi "OW_visible" method
    + PHP7 support
    + Add pkg-config entry for owcapi
  * Minor Fixes
    + Fixed OW_init() fail when parsing command line options before calling it
    + Fix glibc major() compat (Closes: #913105)
    + Fix uninstall in certain modules
    + Portable getpagesize
    + Fix generation of OW.pm
    + Add explicit avahi include dir, when enabled
    + Typos in manpages

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 11 Dec 2018 20:36:42 +0100
