=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
                libfuse-dev [!hurd-i386],
                swig,
                python-all-dev,
+               python3-all-dev,
                tcl-dev,
                libusb-1.0-0-dev,
                ed,
@@ -55,7 +56,7 @@
  Installing this package gets you a FUSE daemon, server arbitrates access
  to the bus from multiple client processes, small ftp and webserver.
 
-Package: libow-3.2-2
+Package: libow-3.2-3
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -71,7 +72,7 @@
  This package includes the ow library that is able to talk directly to 1-wire
  buses.
 
-Package: libowcapi-3.2-2
+Package: libowcapi-3.2-3
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -91,8 +92,8 @@
 Section: libdevel
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libow-3.2-2 (= ${binary:Version}),
-         libowcapi-3.2-2 (= ${binary:Version})
+         libow-3.2-3 (= ${binary:Version}),
+         libowcapi-3.2-3 (= ${binary:Version})
 Description: 1-Wire File System (development files)
  The 1-Wire bus is a cheap low-speed bus for devices like weather
  sensors, access control, etc. It can be attached to your system via
@@ -100,7 +101,7 @@
  .
  This package includes development libraries and C header files.
 
-Package: libownet-3.2-2
+Package: libownet-3.2-3
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -120,7 +121,7 @@
 Section: libdevel
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libownet-3.2-2 (= ${binary:Version})
+         libownet-3.2-3 (= ${binary:Version})
 Description: owserver protocol library (development files)
  The 1-Wire bus is a cheap low-speed bus for devices like weather
  sensors, access control, etc. It can be attached to your system via
@@ -133,7 +134,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         owfs-common (>= 3.2p2-2~),
+         owfs-common (>= 3.2p3-1~),
          lsb-base
 Suggests: avahi-daemon
 Description: Backend server for 1-Wire control
@@ -185,7 +186,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         owfs-common (>= 3.2p2-2~)
+         owfs-common (>= 3.2p3-1~)
 Recommends: owserver,
             fuse
 Suggests: owhttpd,
@@ -202,7 +203,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         owfs-common (>= 3.2p2-2~),
+         owfs-common (>= 3.2p3-1~),
          lsb-base
 Recommends: owserver
 Description: HTTP daemon providing access to 1-Wire networks
@@ -216,7 +217,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         owfs-common (>= 3.2p2-2~),
+         owfs-common (>= 3.2p3-1~),
          lsb-base
 Recommends: owserver
 Description: FTP daemon providing access to 1-Wire networks
@@ -226,6 +227,21 @@
  .
  FTP daemon providing access to 1-Wire networks.
 
+Package: libow-php7
+Architecture: any
+Section: php
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         ${php:Depends}
+Breaks: libow-php5 (<< 3.2)
+Description: Dallas 1-wire support: PHP5 bindings
+ The 1-Wire bus is a cheap low-speed bus for devices like weather
+ sensors, access control, etc. It can be attached to your system via
+ serial, USB, I2C, and other interfaces.
+ .
+ PHP bindings for the OWFS 1-wire support library have been produced
+ with SWIG and allow access to libow* functions from PHP code.
+
 Package: libownet-php
 Architecture: all
 Section: web
@@ -273,12 +289,27 @@
          ${python:Depends},
          ${misc:Depends}
 Provides: ${python:Provides}
-Description: Dallas 1-wire support: Python bindings
- The 1-Wire bus is a cheap low-speed bus for devices like weather
- sensors, access control, etc. It can be attached to your system via
- serial, USB, I2C, and other interfaces.
- .
- Python bindings for the OWFS 1-Wire support library have been produced
+Description: Dallas 1-wire support: Python 2 bindings
+ The 1-Wire bus is a cheap low-speed bus for devices like weather
+ sensors, access control, etc. It can be attached to your system via
+ serial, USB, I2C, and other interfaces.
+ .
+ Python 2 bindings for the OWFS 1-Wire support library have been produced
+ with SWIG and allow access to libow functions from Python code.
+
+Package: python3-ow
+Architecture: any
+Section: python
+Depends: ${shlibs:Depends},
+         ${python3:Depends},
+         ${misc:Depends}
+Provides: ${python3:Provides}
+Description: Dallas 1-wire support: Python 3 bindings
+ The 1-Wire bus is a cheap low-speed bus for devices like weather
+ sensors, access control, etc. It can be attached to your system via
+ serial, USB, I2C, and other interfaces.
+ .
+ Python 3 bindings for the OWFS 1-Wire support library have been produced
  with SWIG and allow access to libow functions from Python code.
 
 Package: python-ownet
@@ -288,14 +319,29 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Provides: ${python:Provides}
-Description: Python module for accessing 1-wire networks
- The 1-Wire bus is a cheap low-speed bus for devices like weather
- sensors, access control, etc. It can be attached to your system via
- serial, USB, I2C, and other interfaces.
- .
- OWnet is a standalone Python module for accessing 1-wire sensors
+Description: Python 2 module for accessing 1-wire networks
+ The 1-Wire bus is a cheap low-speed bus for devices like weather
+ sensors, access control, etc. It can be attached to your system via
+ serial, USB, I2C, and other interfaces.
+ .
+ OWnet is a standalone Python 2 module for accessing 1-wire sensors
  through an owserver.
 
+Package: python3-ownet
+Architecture: all
+Section: python
+Depends: ${python3:Depends},
+         ${misc:Depends},
+         ${shlibs:Depends}
+Provides: ${python3:Provides}
+Description: Python 3 module for accessing 1-wire networks
+ The 1-Wire bus is a cheap low-speed bus for devices like weather
+ sensors, access control, etc. It can be attached to your system via
+ serial, USB, I2C, and other interfaces.
+ .
+ OWnet is a standalone Python 3 module for accessing 1-wire sensors
+ through an owserver.
+
 Package: libow-tcl
 Architecture: any
 Section: interpreters
@@ -306,19 +352,3 @@
  sensors, access control, etc. It can be attached to your system via
  serial, USB, I2C, and other interfaces.
  .
- This package contains Tcl bindings to the OWFS core library (libow),
- which is used to access 1-Wire networks
-
-Package: owfs-doc
-Architecture: all
-Section: doc
-Depends: ${misc:Depends}
-Suggests: owfs
-Description: Dallas 1-wire support: Documentation for owfs
- The 1-Wire bus is a cheap low-speed bus for devices like weather
- sensors, access control, etc. It can be attached to your system via
- serial, USB, I2C, and other interfaces.
- .
- Documentation for OWFS in 'man' format.
- This package contains the manpages for 1-Wire, including the
- device-specific manpages.
