=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=2
 
-DH_OPTIONS=--with python2 --with quilt
+DH_OPTIONS=--with python2 --with python3 --with quilt
 
 # ensure the use of all hardening flags
 DEB_BUILD_MAINT_OPTIONS=hardening=+all
@@ -66,9 +66,12 @@
 %:
 	dh $@ $(DH_OPTIONS)
 
-.PHONY: override_dh_auto_configure override_dh_auto_test override_dh_missing
+.PHONY: override_dh_autoreconf override_dh_auto_configure override_dh_auto_test override_dh_missing
+override_dh_autoreconf:
+	test -f README || cp README.md README
+	dh_autoreconf
+
 override_dh_auto_configure:
-	autoreconf -vif
 	dh_auto_configure -- $(CONFIGURE_OPTIONS)
 
 override_dh_auto_test:
@@ -96,6 +99,7 @@
 	echo "php:Depends=phpapi-$$(php-config --phpapi)" >> debian/libow-php7.substvars
 
 clean:
+	$(RM) README
 	dh clean $(DH_OPTIONS)
 	# remove autoreconf modifications
 	find . -name Makefile.am | while read f ; do \
